Highlighted

"cannot initialize API client" - fminit\Publisher\FMReview.dll

New Here ,
Jan 12, 2017

Copy link to clipboard

Copied

Message appears at startup. Anyone know what to do about this in Framemaker 2015?

Views

843

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

"cannot initialize API client" - fminit\Publisher\FMReview.dll

New Here ,
Jan 12, 2017

Copy link to clipboard

Copied

Message appears at startup. Anyone know what to do about this in Framemaker 2015?

Views

844

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jan 12, 2017 0
Mentor ,
Jan 12, 2017

Copy link to clipboard

Copied

deanf80700876,

I know the usual basic cause, but I don't know exactly the right answer for you. The usual basic cause is that FM cannot find this DLL file at the specified path. But, I can't say for sure why your FM is looking for it, because I don't know what it does. Did you recently start receiving message? Or has it always appeared since you installed FM2015?

The DLL is apparently registered in the API Clients section of one of your maker.ini files. In my installation, this DLL does not exist, nor is there any entry in my maker.ini files. So, I think the correct way to approach this is to determine why your system is looking for this DLL. Can you provide more info on the circumstances that led to the appearance of this message?

Russ

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 12, 2017 0
New Here ,
Jan 12, 2017

Copy link to clipboard

Copied

Thanks Russ. I commented out the line with the ref to this dll in maker.ini as I'm pretty sure I don't need it. Frame now starts cleanly again.

Dean

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 12, 2017 0
New Here ,
Apr 18, 2017

Copy link to clipboard

Copied

We recently had Frame 14 (2017) installed and get that message too. A couple of my colleagues could probably follow a solution, but it's been a long time since I've adjusted the fminit file (I am a bit cautious about getting in there). If it's a matter of installing something/downloading something we need IT to do it for us. Thanks...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 18, 2017 0
Adobe Community Professional ,
Apr 18, 2017

Copy link to clipboard

Copied

No have a look for it in your maker.ini files - not in the fminit folder.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 18, 2017 0
New Here ,
Apr 18, 2017

Copy link to clipboard

Copied

Once more, with feeling. 🙂

After reading this post and involving IT and another person, we found the FMReview line and commented it out. Voila! Thanks for the lead. Whew!

Cheers...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 18, 2017 0